libetonyek::KEY2Token Namespace Reference documentation

libetonyek::KEY2Token Namespace Reference

## Enumerations
enum | { INVALID_TOKEN = 0 , FIRST_TOKEN = IWORKTokenInfo<KEY2Parser>::first , key , BGBuildDurationProperty , animationAuto , animationAutoPlay , animationDelay , animationDelayAutomaticAfter , animationDelayAutomaticWith , animationDuration , animationEndOffset , animationInterchunkAuto , animationInterchunkDelay , animationStartOffset , animationTimingReferent , animationType , authors , body_placeholder , body_placeholder_ref , build , build_chunk , build_chunks , bullets , c , comment , direction , events , headline , headlineParagraphStyle , info_ref , keywords , master_slide , master_slides , master_ref , metadata , notes , number , object_placeholder , page , parent_build_ref , presentation , size , slide , slide_list , slide_style , slide_number_placeholder , sticky_note , sticky_notes , string , style_ref , stylesheet , text , theme , theme_list , title , title_placeholder , title_placeholder_ref , depth , name , type , version , COMPATIBLE_VERSION_STR_3 , VERSION_STR_2 , VERSION_STR_3 , VERSION_STR_4 , VERSION_STR_5 , i , LAST_TOKEN }
enum | Namespace { NS_URI_KEY = key << 16 }

## Functions
const IWORKTokenizer & | getTokenizer ()
| BOOST_STATIC_ASSERT (IWORKTokenInfo< KEY2Parser >::last >=LAST_TOKEN)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
INVALID_TOKEN |
FIRST_TOKEN |
key |
BGBuildDurationProperty |
animationAuto |
animationAutoPlay |
animationDelay |
animationDelayAutomaticAfter |
animationDelayAutomaticWith |
animationDuration |
animationEndOffset |
animationInterchunkAuto |
animationInterchunkDelay |
animationStartOffset |
animationTimingReferent |
animationType |
authors |
body_placeholder |
body_placeholder_ref |
build |
build_chunk |
build_chunks |
bullets |
c |
comment |
direction |
events |
headline |
headlineParagraphStyle |
info_ref |
keywords |
master_slide |
master_slides |
master_ref |
metadata |
notes |
number |
object_placeholder |
page |
parent_build_ref |
presentation |
size |
slide |
slide_list |
slide_style |
slide_number_placeholder |
sticky_note |
sticky_notes |
string |
style_ref |
stylesheet |
text |
theme |
theme_list |
title |
title_placeholder |
title_placeholder_ref |
depth |
name |
type |
version |
COMPATIBLE_VERSION_STR_3 |
VERSION_STR_2 |
VERSION_STR_3 |
VERSION_STR_4 |
VERSION_STR_5 |
i |
LAST_TOKEN |

## ◆ Namespace

enum libetonyek::KEY2Token::Namespace

Enumerator
NS_URI_KEY |

## Function Documentation

## ◆ BOOST_STATIC_ASSERT()

libetonyek::KEY2Token::BOOST_STATIC_ASSERT | ( | IWORKTokenInfo< KEY2Parser >::last >= | LAST_TOKEN | ) |

Referenced by BOOST_STATIC_ASSERT().

## ◆ getTokenizer()

const IWORKTokenizer & libetonyek::KEY2Token::getTokenizer | ( |  | ) |

Referenced by libetonyek::KEY2Parser::getTokenizer(), and getTokenizer().